/*
    ZT.displayDec ( uint8_t , unsigned short , uint8_t , uint8_t ) ;
    Funktion: Display decimaldata
    ZT.displayHex ( uint8_t , unsigned short , uint8_t , uint8_t ) ;
    Funktion: Vise hexadecimal data
    
    Den første parameter: modulets adresse
    De første to argumenter: de data, du ønsker at vise 0 ~ 9999 / 0 ~ 0xFFFF
    De første tre parametre: antallet af bits , der skal vises , startende fra højre , direkte kalder biblioteksfunktion makroer
               # Definer DISP_0BIT slukke alle
               # Definer DISP_1BIT display en data-
               # Definer DISP_2BIT display to data
               # Definer DISP_3BIT display tre data
               # Definer DISP_4BIT display fire data
               # Definer automatisk DISP_AUTO vise cifre , 0 ikke vise high
    De første fire parametre: data , der skal vises for at vise websteder, ringe direkte til makrodefinition biblioteket
                DOT_NONE ikke vise nogen kommaet
                DOT_BIT1 Viser et komma
                DOT_BIT2 Viser 2 decimaler
                DOT_BIT3 Viser 3 decimal
                DOT_BIT4 Viser 4 af decimaler , der skal vises med et komma multidimensional | operatør

    ZT.displayBuff ( uint8_t , uint8_t * ) ;
    Funktion: vise data
    Den første parameter: modulets adresse
    De første to parametre: det viste indhold , der skal besættes , og i henhold til den standard fælles katode LED 8 er beregnet
*/


#include <i2c8seg.h>
#define ZTSEG8B4A036A_ADDR  0x27

float test=0;
unsigned short temp;
uint8_t nb;

void setup()
{
   ZT.I2cInit();
   digitalWrite(13, HIGH);
   Serial.begin(9600);
   ZT.unSleep(ZTSEG8B4A036A_ADDR);
}

void loop()
{
      // Selv om de data, skrevet fire 0xABCD , men kræver kun viser to data viste, at de to data-cd , tændte de to første decimaldata
     ZT.displayHex(ZTSEG8B4A036A_ADDR, 0xABCD, DISP_2BIT, DOT_BIT2);
     delay(1500);
     // Display data to knudepunkter EF , tændte den første decimaldata
     ZT.displayHex(ZTSEG8B4A036A_ADDR, 0xEF, DISP_2BIT, DOT_BIT1);
     delay(1500);
     // Automatisk vise dataene vil vise forkortelsen indhold ABC , tændte de to første decimaldata
     ZT.displayHex(ZTSEG8B4A036A_ADDR, 0xABC, DISP_AUTO, DOT_BIT2);
     delay(1500);
     
     // Light de tilsvarende break koder, display databit 3210
     {
       uint8_t buf[4] ={0x3F,0x06,0x5B,0x4F};
       ZT.displayBuff(ZTSEG8B4A036A_ADDR, buf);
     }
     delay(1500);
     
     // Display decimal
     for (unsigned short i=0; i<110; i++)
     {
         test += 0.1;
         temp = test;
         if (temp<10)     nb = DISP_2BIT;
         else nb = DISP_AUTO;
         temp = test*10;
         ZT.displayDec(ZTSEG8B4A036A_ADDR, temp, nb, DOT_BIT1);
         delay(20);
     }
     
}
