/*
Læs den aktuelle status af modulet, og fra UART printf ud
ZT.readState (uint8_t);
Funktion: Læser den aktuelle tilstand af modulet ZT.SEG8B4A036A
Den første parameter: modulets adresse
Retur: den aktuelle tilstand
BEMÆRK: Gentag denne test, skal du sørge for at nulstille før den første reset modul ARDUINO
*/
#include <i2c8seg.h>
#define SEG8B4A036A_ADDRESS    0x27

void UartPrintState(uint8_t state)
{
  if (state==STATUS_RUN)
  {
      Serial.print("ZT.SEG8B4A036A->Display Normal State:\n");
  }
  else if (state==STATUS_SLEEP)
  {
      Serial.print("ZT.SEG8B4A036A->Sleep State:\n");
  }
  else if (state==STATUS_SET_ADDRESS)
  {
      Serial.print("ZT.SC-SEG8B4A036A->Set Address Mode State:\n");
  }
  else
  {
      Serial.print("ZT.SEG8B4A036A->erro:\n\n");
  }

}
uint8_t temp;
void setup()
{
  Serial.begin(9600);
  ZT.I2cInit();
  Serial.print("Start...\n\n Berfor Set UnSleep()\n");
  temp=ZT.readState(SEG8B4A036A_ADDRESS);
  UartPrintState(temp);
  
  ZT.unSleep(SEG8B4A036A_ADDRESS);
  Serial.print("After SetUnSleep()\n");
  temp=ZT.readState(SEG8B4A036A_ADDRESS);
  UartPrintState(temp);
  
}
uint8_t Nopdelay=2000;
uint8_t buff[4];
unsigned short testnum=0;
void loop()
{
  if (testnum == 10) Nopdelay = 1000;
  else if (testnum == 20)  Nopdelay = 500;
  else if (testnum == 30)  Nopdelay = 200;
  else if (testnum == 40)  Nopdelay = 100;
  else if (testnum == 50)  Nopdelay = 50;
  else if (testnum == 99) {testnum = 0; Nopdelay = 2000;};
  ZT.displayDec(SEG8B4A036A_ADDRESS,testnum++, 2, 0);
  digitalWrite(13,LOW);
  delay(Nopdelay);
  if (testnum < 200) ZT.setBrightness(SEG8B4A036A_ADDRESS,(uint8_t)testnum,0xFF);
  digitalWrite(13,HIGH);
  delay(Nopdelay);
  if (testnum == 10)
  {  
  Serial.print("Befer Set Sleep 1\n");
  delay(1000);
  temp=ZT.readState(SEG8B4A036A_ADDRESS);
  UartPrintState(temp);
  ZT.sleep(SEG8B4A036A_ADDRESS);
  Serial.print("After Set Sleep 2\n");
  delay(1000);
  temp=ZT.readState(SEG8B4A036A_ADDRESS);
  UartPrintState(temp);
   Serial.print('\n'); 
  delay(5000);
  }
  else if (testnum == 20)
  {
      ZT.sleep(SEG8B4A036A_ADDRESS);
      delay(5000);
      ZT.unSleep(SEG8B4A036A_ADDRESS);
      Serial.print("After Set UnSleep 1\n");
      temp=ZT.readState(SEG8B4A036A_ADDRESS);
      UartPrintState(temp);
  }
}
