/*
ZT.Seg8b4a036aSetLumin (uint8_t, uint8_t, uint8_t)
Funktion: Indstil lysstyrken i displayet modul ZT.Seg8b4a036a
Den første parameter: modulets adresse
De første to parametre: lysstyrke polære
De første tre parametre: mørke polar
Bemærk: effekten af ​​lys og mørke lysstyrke interaktion udstillet på en acceptabel lysstyrke, mørke værdi, jo mere jo mere strøm
*/
#include <i2c8seg.h>
#include <wire.h>
#define ZTSEG8B4_ADDR  0x27
uint8_t buff[4];
uint8_t Nopdelay;
unsigned short testnum=0;

void Test()
{
    uint8_t i;
    Nopdelay = 1000;
    for (i=0 ;i<8; i++)
    {
        buff[0]=buff[1]=buff[2]=buff[3] = (1<<i);
        ZT.displayBuff(ZTSEG8B4_ADDR, buff);
        delay(Nopdelay);
    }
    Nopdelay = 100;
    for (i=3 ;i>0; i--)
    {
        buff[0]=buff[1]=buff[2]=buff[3] = 0;
        buff[i] = (1<<4);
        ZT.displayBuff(ZTSEG8B4_ADDR, buff);
        delay(Nopdelay);
        buff[i] = (1<<5);
        ZT.displayBuff(ZTSEG8B4_ADDR, buff);
        delay(Nopdelay);
        buff[i] = (1<<0);
        ZT.displayBuff(ZTSEG8B4_ADDR, buff);
        delay(Nopdelay);
        buff[i] = (1<<1);
        ZT.displayBuff(ZTSEG8B4_ADDR, buff);
        delay(Nopdelay);
        buff[i] = (1<<2);
        ZT.displayBuff(ZTSEG8B4_ADDR, buff);
        delay(Nopdelay);
    }
     buff[0]=buff[1]=buff[2]=buff[3] = 0xFF;
     ZT.displayBuff(ZTSEG8B4_ADDR, buff);
     delay(1000);
}
void setup()
{
  uint8_t verbuff[15];
  Wire.begin(); 
  Serial.begin(9600);
  
  pinMode(13, OUTPUT); 
  pinMode(13, INPUT); 
  ZT.unSleep(ZTSEG8B4_ADDR);
  Test();
  Nopdelay = 2000;
}
void loop()
{
  if (testnum == 10) Nopdelay = 1000;
  else if (testnum == 20)  Nopdelay = 500;
  else if (testnum == 30)  Nopdelay = 200;
  else if (testnum == 40)  Nopdelay = 100;
  else if (testnum == 50)  Nopdelay = 50;
  else if (testnum == 100)  Nopdelay = 20;
  else if (testnum ==150)  Nopdelay = 10;
  else if (testnum == 600)  Nopdelay = 0;
  if (++testnum>9999)  testnum = 0;
  ZT.displayDec(ZTSEG8B4_ADDR,testnum, DISP_4BIT, DOT_NONE);
  digitalWrite(13,LOW);
  delay(Nopdelay);
  if (testnum < 200) ZT.setBrightness(ZTSEG8B4_ADDR,(uint8_t)testnum,0xFF);
  digitalWrite(13,HIGH);
  delay(Nopdelay);
}

